Bug 444314

Summary: Run Fedora From RAM
Product: [Fedora] Fedora Reporter: Jordan Nash <jordan>
Component: fedora-releaseAssignee: David Cantrell <dcantrell>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.fedoraforum.org/forum/showthread.php?t=186271
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-05 23:02:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jordan Nash 2008-04-26 23:26:53 UTC
Description of problem:
RAM is relatively inexpensive these days, and many users have at least two gigs
of RAM available.

"Lazlow" brought this up as a topic in the FedoraForum, and I, too, am
interested in the feasibility of implementing this.

Live environments, including the Fedora LiveDVD), often include the option to
preload into RAM.

What I would like to see is a standardized option to run portions of a standard
install from RAM. Basically, the core of the system would be kept in RAM during
use, and periodically synced with the hard drive. Less used and very large
files, such as videos, would stay on the hard disk as usual, instead of being
pre-loaded.

Version-Release number of selected component (if applicable):
Future release of Fedora

How reproducible:
Not yet common practice, but is done in live environments.


Steps to Reproduce:
1. Unknown. I would like to see at least a recommended standardized procedure to
implement this, or even an install option.
  
Actual results:
System currently runs primarily from hard drive.

Expected results:
I would like to see the system run primarily from RAM, with periodic reference
and synchronization with the traditional hard drive.

Additional info:
Please note the FedoraForum.org discussion:
http://www.fedoraforum.org/forum/showthread.php?t=186271

Comment 1 Jordan Nash 2008-04-26 23:29:06 UTC
I forgot to mention that this is also done in embedded enviroments. The system
depends on a solid state drive, but runs primarily from RAM.

What I would like to see is a compromise, taking full advantage of the speed of
RAM and the storage capacity of the hard drive.

Comment 2 Bug Zapper 2008-05-14 10:14:24 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jesse Keating 2009-02-05 23:02:09 UTC
I don't see this happening any time soon.  Your best option would be to make live images of what you want, and run those from ram.